<?php
namespace App\Mail;

use App\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class MailVerifyAccount extends Mailable
{
    use Queueable, SerializesModels;

    protected $confirmation_code;
    public $subject;


    public function __construct($confirmation_code, User $user)
    {

        $this->confirmation_code = $confirmation_code;
        $this->user = $user;
        $this->subject = __('Verify Your Email Address');

    }


    public function build()
    {
        $salutation = __('Dear customer').",";
        /*  if($this->user->account){
              if($this->user->account->salutation == "mr"){
                  $salutation =  __('Dear Sir')." ".$this->user->account->last_name.",";
              }else{
                  $salutation = __('Dear Mrs')." ".$this->user->account->last_name.",";
              }
          }
        */

        return $this->view('emails.auth')->with([
            'url' => route('register_verify', $this->confirmation_code),
            'salutation' => $salutation,
            'button' => __('Verify Your Email Address'),
            'copy1line' => __('Thank you for creating an account with the JACKON Infomanager. Please follow the link below to confirm your email address.'),
            'copy2line' => __('Or copy this link into the address bar of your browser.'),
            'greetings' => __('Best regards'),
        ]);
    }
}

